### org.jfree.layouting.renderer.process

# Interface TextAlignmentProcessor

Known Implementing Classes:
  AbstractAlignmentProcessor, CenterAlignmentProcessor, LeftAlignmentProcessor, RightAlignmentProcessor

`public interface TextAlignmentProcessor`

A general alignment processor.

Author:
  Thomas Morgner

  ## Method Summary

  `boolean`

  `hasNext()`

  `void`

  `initialize(InlineSequenceElement[] sequence, long start, long end, PageGrid breaks)`

  `RenderNode`

  `next()`

## Method Details

### hasNext

    public boolean hasNext()

### initialize

    public void initialize(InlineSequenceElement[] sequence,
                           long start,
                           long end,
                           PageGrid breaks)

### next

    public RenderNode next()